//#define XERR
#include "compilefork.ih"

void CompileFork::childProcess()
{
    ofstream out{"/tmp/child", ios::in|ios::out|ios::ate};
    out << "/usr/bin/g++ -c -o /dev/null -Wall -Werror " << 
            g_options.std() <<  d_source << endl;

    Process process{ Process::DIRECT, 
                "/usr/bin/g++ -c -o /dev/null -Wall -Werror " + 
                g_options.std() + d_source };
    process.start();

    // this point is never reached
}
